:root {
    --background-color: #fffae7;
    --kolor_karty: #bce7ff;
}

body{
    background-color: var(--background-color);
	margin: 20px 15px 20px 15px;
    padding: 1vmin;
}

*{
    margin: 0;
    padding: 0;
    font-family: 'Open Sans' ;
}

ul{
	margin-left: 50px
}

li{
	margin-left: 30px
}

.error{
	color: red;
	margin-bottom:10px;
}

.formularze{
    width: 90vw;
    margin: 0 auto;
}

/* =========================
   MOBILE (domyślnie)
   ========================= */

.card{
    width: 100%;
    display: grid;
    grid-template-columns: 90%;
    justify-content: center;

    border: 1.5px solid black;
    border-radius: 2.5vmin;
    margin-bottom: 2vmin;
    padding: 2vmin 0;

    background: var(--kolor_karty);
    box-shadow: 5px 5px 10px rgba(0,0,0,0.5);
}

.endCard{
    width: 100%;
    display: grid;
    grid-template-columns: 1fr;
    grid-row-gap: 1vmin;
    justify-content: center;

    border: 1.5px solid black;
    border-radius: 2.5vmin;
    padding: 2vmin 0;
    margin-bottom: 5vmin;

    background: var(--kolor_karty);
    box-shadow: 5px 5px 10px rgba(0,0,0,0.5);
		
	/*  gk */
	box-sizing: border-box; /* Zapewnia, że padding nie zwiększy szerokości ponad 100% */
    padding-left: 15px;      /* Stały odstęp na mobile */
    padding-right: 15px;
}

.endCard > .inside{
    grid-column: 1/-1;
    display: grid;
    grid-template-columns: auto 1fr;
    grid-column-gap: 2.5vmin;
    grid-row-gap: 0.5vmin;
	
}

.endCard > .inside > input{
    padding: 0.5vmin;
    max-width: 100%;
}

.endCard > .przycisk{
    min-height: 40px;
    width: 50%;
    margin: auto;
    margin-top: 1vmin;
    grid-column: 1/-1;
}

/* gk */
#wynik {
    grid-column: 1 / -1;
    width: 100%; /* Opcjonalnie, aby upewnić się, że wypełnia przestrzeń */
    box-sizing: border-box;
}

textarea{
	padding: 0.5vmin;
}

.osoba{
    grid-column: 1/2;
}

.item{
    border: 0px solid black;
    padding: 5px;
    margin-bottom: 5px;
}

.item > .text{
    margin: 2px;
    text-align: left;
}

.item > input{
    width: 80%;
    margin: 0 auto;
}

.item > select{
    width: 100%;
}

.item > input,
.item > select{
    padding: 2px;
    font-size: 90%;
}

.desktop-form-groups {
    grid-column: 1 / -1;
}

#numerTelefonu{
    padding-top: 0.5vmin;
    padding-bottom: 0.5vmin;
}

/* =========================
   TABLET ≥ 958px
   ========================= */

@media (min-width: 958px ){

    .card{
        grid-template-columns: 45% 45%;
        justify-content: space-evenly;
    }

    .osoba {
        grid-column: 1/3;
    }

    .endCard{
        width: 60%;
        grid-template-columns: 1fr;
        justify-content: space-evenly;
    }

    .endCard > .inside{
        grid-template-columns: min-content auto;
    }

    .endCard > .inside > input{
        max-width: 50%;
    }
	
    .desktop-form-groups {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 2rem;
        align-items: start;
    }
	
	.item > select {
        width: 50%;
	}
	
	.formularze{
		margin: 0 auto 0 20px;
	}
}

/* =========================
   DESKTOP ≥ 1278px
   ========================= */

@media (min-width: 1278px ){

    .card{
        grid-template-columns: 45% 45%;
        justify-content: space-evenly;
		width: 50%;
    }

    .osoba{
        grid-column: 1/4;
    }

    .endCard{
        width: 50%;
    }

    .endCard > .inside > input{
        max-width: 50%;
    }

    .endCard > .przycisk{
        min-height: 35px;
        width: 120px;
    }

    .desktop-form-groups {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 2rem;
        align-items: start;
    }

    .item > select {
        width: 70%;
	}

	.formularze{
		margin: 0 auto 0 20px;
	}
}

img {
	max-width: 100%;
	height: auto;
}

/* buttons "Dodaj/Usuń osobę" */
.actions {
    margin: 10px 0 20px 25px;
}

.btn {
    width: 140px;     /* szerokość */
    height: 25px;     /* wysokość */
    margin-right: 15px; /* odstęp między przyciskami */
    cursor: pointer;
}